# gdcm::Module Class Reference

Class for representing a Module. More...

`#include <gdcmModule.h>`

Collaboration diagram for gdcm::Module:
[legend]

List of all members.

## Public Types
typedef MapModuleEntry::const_iterator | ConstIterator
typedef MapModuleEntry::iterator | Iterator
typedef std::map< Tag, ModuleEntry > | MapModuleEntry
## Public Member Functions
| Module ()
void | AddModuleEntry (const Tag &tag, const ModuleEntry &module)
Iterator | Begin ()
ConstIterator | Begin () const
void | Clear ()
Iterator | End ()
ConstIterator | End () const
bool | FindModuleEntry (const Tag &tag) const
const ModuleEntry & | GetModuleEntry (const Tag &tag) const
const char * | GetName () const
void | SetName (const char *name)
bool | Verify (const DataSet &ds, Usage const &usage) const
## Friends
std::ostream & | operator<< (std::ostream &_os, const Module &_val)

## Detailed Description

Class for representing a Module.

Note:
  bla Module: A set of Attributes within an Information Entity or Normalized IOD which are logically related to each other.

See also:
  Dict

## Member Typedef Documentation

typedef MapModuleEntry::const_iterator gdcm::Module::ConstIterator

typedef MapModuleEntry::iterator gdcm::Module::Iterator

typedef std::map<Tag, ModuleEntry> gdcm::Module::MapModuleEntry

## Constructor & Destructor Documentation

gdcm::Module::Module | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::Module::AddModuleEntry | ( | const Tag & | tag,
|  | const ModuleEntry & | module |
| ) |  |  | `[inline]`

Iterator gdcm::Module::Begin | ( |  | ) | `[inline]`

ConstIterator gdcm::Module::Begin | ( |  | ) | const`[inline]`

void gdcm::Module::Clear | ( |  | ) | `[inline]`

Iterator gdcm::Module::End | ( |  | ) | `[inline]`

ConstIterator gdcm::Module::End | ( |  | ) | const`[inline]`

bool gdcm::Module::FindModuleEntry | ( | const Tag & | tag | ) | const`[inline]`

const ModuleEntry& gdcm::Module::GetModuleEntry | ( | const Tag & | tag | ) | const`[inline]`

const char* gdcm::Module::GetName | ( |  | ) | const`[inline]`

void gdcm::Module::SetName | ( | const char * | name | ) | `[inline]`

bool gdcm::Module::Verify | ( | const DataSet & | ds,
|  | Usage const & | usage |
| ) |  |  | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Module & | _val |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmModule.h